class Video:
    def __init__(
        self,
        id: str,
        title: str,
        description: str,
        watch_time: float,
        watch_progress: float,
    ):
        self._id = id
        self._title = title
        self._description = description
        self._watch_time = watch_time
        self._watch_progress = watch_progress

    @property
    def title(self):
        return self._title

    @property
    def id(self):
        return self._id

    @property
    def description(self):
        return self._description

    @property
    def watch_time(self):
        return self._watch_time

    @property
    def watch_progress(self):
        return self._watch_progress
